This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 480014 - authconfig and usermode dependency
authconfig and usermode dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On: F11MinimalPlatform
Blocks: FedoraServerTracker 519838 554536 575256
  Show dependency treegraph
 
Reported: 2009-01-14 10:52 EST by Peter Vrabec
Modified: 2010-03-19 16:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-5.4.7-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 11:59:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2009-01-14 10:52:18 EST
Dear maintainer,

We found an improvement in our minimal installation project, where we want to get a rid of SUID binaries if it's possible.

see this:
anaconda requires authconfig
authconfig requires usermode
usermode includes /usr/sbin/userhelper
/usr/sbin/userhelper is SUID

Could you please split authconfig into 2 packages. So it will look like this:
1. anaconda requires authconfig

2. authconfig-with_consolehelper requires usermode and authconfig

Then we can use only authconfig in the minimal installation.

thnx.
Comment 1 Tomas Mraz 2009-01-26 11:59:45 EST
I've decided to just move the consolehelper symlinks to the -gtk subpackage. The userhelper subpackage for authconfig would not be reasonably discoverable and any admin who is not interested in the authconfig gui is probably not interested in the usermode support of authconfig either. And he can easily setup sudo to be able to call authconfig from regular user account.

Note You need to log in before you can comment on or make changes to this bug.